MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026511Community[OCCT] OCCT:Visualizationpublic2015-08-03 13:062016-04-20 15:50
Reporterdc 
Assigned Toabv 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026511: Build fails with VTK 6.3rc1
DescriptionBuild fails with newer vtk releases,
vtkFloatingPoitnType is not declared.
See http://public.kitware.com/pipermail/vtk-developers/2012-November/027971.html [^]
Additional information
and documentation updates
/oce/src/IVtkVTK/IVtkVTK_View.cxx: In member function ‘virtual bool IVtkVTK_View::DisplayToWorld(const gp_XY&, gp_XYZ&) const’:
/oce/src/IVtkVTK/IVtkVTK_View.cxx:152:3: error: ‘vtkFloatingPointType’ was not declared in this scope
   vtkFloatingPointType* const aCoords = myRenderer->GetWorldPoint();
   ^
/oce/src/IVtkVTK/IVtkVTK_View.cxx:152:25: error: expected primary-expression before ‘const’
   vtkFloatingPointType* const aCoords = myRenderer->GetWorldPoint();
                         ^
/oce/src/IVtkVTK/IVtkVTK_View.cxx:153:7: error: ‘aCoords’ was not declared in this scope
   if (aCoords[3] == 0.0) // Point at infinity in homogeneous coordinates
       ^
/oce/src/IVtkVTK/IVtkVTK_View.cxx:158:25: error: ‘aCoords’ was not declared in this scope
   theWorldPnt = gp_XYZ (aCoords[0] / aCoords[3], aCoords[1] / aCoords[3], aCoords[2] / aCoords[3]);
                         ^
adm/cmake/TKIVtk/CMakeFiles/TKIVtk.dir/build.make:330: recipe for target 'adm/cmake/TKIVtk/CMakeFiles/TKIVtk.dir/__/__/__/src/IVtkVTK/IVtkVTK_View.cxx.o' failed
make[2]: *** [adm/cmake/TKIVtk/CMakeFiles/TKIVtk.dir/__/__/__/src/IVtkVTK/IVtkVTK_View.cxx.o] Error 1
CMakeFiles/Makefile2:1495: recipe for target 'adm/cmake/TKIVtk/CMakeFiles/TKIVtk.dir/all' failed
make[1]: *** [adm/cmake/TKIVtk/CMakeFiles/TKIVtk.dir/all] Error 2
Makefile:136: recipe for target 'all' failed
make: *** [all] Error 2
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0049846)
git (administrator)
2016-01-14 08:35

Branch CR26511 has been created by abv.

SHA-1: 0c4cdbe5abed3863d1e7b18747c2c0b7cdb487ff


Detailed log of new commits:

Author: abv
Date: Thu Jan 14 08:34:44 2016 +0300

    0026511: Build fails with VTK 6.3rc1
    
    Obsolete typedef "vtkFloatingPointType" is replaced by "double" in VIS and DRAW
(0049847)
git (administrator)
2016-01-14 08:37

Branch CR26511 has been updated forcibly by abv.

SHA-1: 5ca413ce6384205a223302979980e9c0044d55fa
(0049848)
abv (manager)
2016-01-14 08:39

The fix is in CR26511, please integrate. The change is trivial, no testing is required.
(0049849)
abv (manager)
2016-01-14 08:40

Note that CR26511 is based on CR0-IR-2016-01-13
(0052981)
git (administrator)
2016-04-17 13:54

Branch CR26511 has been deleted by kgv.

SHA-1: 5ca413ce6384205a223302979980e9c0044d55fa

- Related Changesets
occt: master 5ca413ce
Timestamp: 2016-01-14 05:34:44
Author: abv
Committer: abv
Details ] Diff ]
0026511: Build fails with VTK 6.3rc1

Obsolete typedef "vtkFloatingPointType" is replaced by "double" in VIS and DRAW
mod - src/IVtkTools/IVtkTools_ShapePicker.cxx Diff ] File ]
mod - src/IVtkTools/IVtkTools_ShapePicker.hxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-03 13:06 dc New Issue
2015-08-03 13:06 dc Assigned To => kgv
2015-08-19 13:14 abv Target Version => 7.0.0
2015-08-19 20:01 abv Assigned To kgv => ski
2015-08-19 20:01 abv Status new => assigned
2015-12-18 11:50 abv Target Version 7.0.0 => 7.1.0
2016-01-14 08:35 git Note Added: 0049846
2016-01-14 08:37 git Note Added: 0049847
2016-01-14 08:39 abv Note Added: 0049848
2016-01-14 08:39 abv Assigned To ski => bugmaster
2016-01-14 08:39 abv Status assigned => resolved
2016-01-14 08:39 abv Target Version 7.1.0 => 7.0.0
2016-01-14 08:39 abv Status resolved => reviewed
2016-01-14 08:40 abv Note Added: 0049849
2016-01-14 11:38 bugmaster Status reviewed => tested
2016-01-15 16:57 abv Changeset attached => occt master 5ca413ce
2016-01-15 16:57 abv Assigned To bugmaster => abv
2016-01-15 16:57 abv Status tested => verified
2016-01-15 16:57 abv Resolution open => fixed
2016-04-17 13:54 git Note Added: 0052981
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker